Reports module
Endpoints
Endpoints for managing Reportings
GET
/reportschedules Returns collection of Report schedule resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/reportschedules HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 8390,
"created_at": "2016-05-30 08:46:20",
"culture": 1,
"description": "value",
"emails": "value",
"end_at": "2016-05-30 08:48:45",
"format": 0,
"frequency": "value",
"last_run_at": "2016-05-30 08:53:02",
"name": "value",
"next_run_at": "2016-05-30 08:48:43",
"report_id": 4346,
"start_at": "2016-05-30 08:44:57",
"status": 0,
"timezone": "value",
"tz": "value"
}
],
"total": 59
}
POST
/reportschedules Creates new Report schedule resource
Parameters
JSON body attributes:
report_id integer
name string
description string
emails array
Array of emails
Array of emails
format string
culture string
start_at date
end_at date
status string
frequency array
Array of frequency config options
Array of frequency config options
tz string
timezone string
Example Request
POST /v1.1/voipstudio/reportschedules HTTP/1.1
Host: l7api.com
{
"report_id": 249,
"name": "abcd",
"description": "abcd",
"emails": [
"john@example.com",
"mike@w3c.com"
],
"format": "abcd",
"culture": "abcd",
"start_at": "2026-06-03",
"end_at": "2026-06-03",
"status": "abcd",
"frequency": {
"type": "W",
"time_of_day": [
10
],
"day_of_week": [
1,
5
],
"day_of_month": []
},
"tz": "abcd",
"timezone": "abcd"
}
Responses
201 Success
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 201 OK
Content-Type: application/json
{
"data": {
"id": 8672,
"created_at": "2016-09-04 10:04:53",
"culture": 6,
"description": "value",
"emails": "value",
"end_at": "2016-09-04 10:11:01",
"format": 0,
"frequency": "value",
"last_run_at": "2016-09-04 10:14:31",
"name": "value",
"next_run_at": "2016-09-04 10:10:14",
"report_id": 2376,
"start_at": "2016-09-04 10:11:27",
"status": 1,
"timezone": "value",
"tz": "value"
},
"links": {}
}
GET
/reportschedules/{id} Returns Report schedule resource for given Id
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
Example Request
GET /v1.1/voipstudio/reportschedules/54 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 5079,
"created_at": "2021-10-04 03:40:39",
"culture": 0,
"description": "value",
"emails": "value",
"end_at": "2021-10-04 03:43:05",
"format": 1,
"frequency": "value",
"last_run_at": "2021-10-04 03:44:01",
"name": "value",
"next_run_at": "2021-10-04 03:31:14",
"report_id": 7655,
"start_at": "2021-10-04 03:44:53",
"status": 0,
"timezone": "value",
"tz": "value"
},
"links": {}
}
PATCH
/reportschedules/{id} Updates existing Report schedule resource
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
JSON body attributes:
report_id integer
name string
description string
emails array
Array of emails
Array of emails
format string
culture string
start_at date
end_at date
status string
frequency array
Array of frequency config options
Array of frequency config options
tz string
timezone string
Example Request
PATCH /v1.1/voipstudio/reportschedules/95 HTTP/1.1
Host: l7api.com
{
"report_id": 334,
"name": "abcd",
"description": "abcd",
"emails": [
"john@example.com",
"mike@w3c.com"
],
"format": "abcd",
"culture": "abcd",
"start_at": "2026-06-03",
"end_at": "2026-06-03",
"status": "abcd",
"frequency": {
"type": "W",
"time_of_day": [
10
],
"day_of_week": [
1,
5
],
"day_of_month": []
},
"tz": "abcd",
"timezone": "abcd"
}
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 9007,
"created_at": "2023-12-03 02:35:16",
"culture": 4,
"description": "value",
"emails": "value",
"end_at": "2023-12-03 02:32:45",
"format": 0,
"frequency": "value",
"last_run_at": "2023-12-03 02:34:27",
"name": "value",
"next_run_at": "2023-12-03 02:39:45",
"report_id": 7917,
"start_at": "2023-12-03 02:38:22",
"status": 0,
"timezone": "value",
"tz": "value"
},
"links": {}
}
DELETE
/reportschedules/{id} Deletes existing Report schedule resource
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
Example Request
DELETE /v1.1/voipstudio/reportschedules/81 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/reportschedules/dictionaries Returns Dictionary for Report schedule resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/reportschedules/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Success
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 2367,
"created_at": "2024-12-25 00:54:29",
"culture": 3,
"description": "value",
"emails": "value",
"end_at": "2024-12-25 01:10:27",
"format": 1,
"frequency": "value",
"last_run_at": "2024-12-25 01:07:01",
"name": "value",
"next_run_at": "2024-12-25 00:57:41",
"report_id": 8200,
"start_at": "2024-12-25 01:01:34",
"status": 0,
"timezone": "value",
"tz": "value"
}
],
"total": 59
}